Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 3.9.0SynchronousAuth Required

QueryAccessControlList

QueryAccessControlList

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • ipVersionIntegerRequired

      The IP version.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • entriesListRequired

      See entries.

      • uuidStringRequired

        The resource UUID.

      • aclUuidStringRequired

        The UUID of the access control list.

      • ipEntriesStringRequired

        The IP entries.

      • descriptionStringRequired

        The detailed description of the resource.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/access-control-lists

/zstack/v1/access-control-lists

Operation ID

QueryAccessControlList

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/access-control-lists' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "0abdbd20b8173ccf89f881309b5e40d0", "name": "acl-group" } ] }

Change History

This API has no change history records yet.

View all change history